Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 232354 - dev-python/gnome-python-extras-2.19.1-r2: libtool: link: only absolute run-paths are allowed
Summary: dev-python/gnome-python-extras-2.19.1-r2: libtool: link: only absolute run-pa...
Status: RESOLVED DUPLICATE of bug 223265
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
: 241680 (view as bug list)
Depends on:
Blocks:
 
Reported: 2008-07-19 16:24 UTC by Jeff Kowalczyk
Modified: 2008-11-29 23:53 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build log (build.log,69.48 KB, text/plain)
2008-07-19 16:25 UTC, Jeff Kowalczyk
Details
build environment (environment,109.07 KB, text/plain)
2008-07-19 16:26 UTC, Jeff Kowalczyk
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeff Kowalczyk 2008-07-19 16:24:11 UTC
Building with -firefox -xulrunner because I have Firefox-3.0 installed:

[ebuild  N    ] dev-python/gnome-python-extras-2.19.1-r2  USE="X -debug -doc -firefox -seamonkey -xulrunner" 0 kB 

mv -f .deps/gtkmozembed.Tpo .deps/gtkmozembed.Plo
/bin/sh ../libtool --tag=CC   --mode=link i686-pc-linux-gnu-gcc  -O2 -march=i686 -pipe -Wall -fno-strict-aliasing -module -avoid-version -export-symbols-regex initgtkmozembed -R  -o gtkmozembed.la -rpath /usr/lib/python2.5/site-packages/gtk-2.0 gtkmozembedmodule.lo gtkmozembed.lo -Wl,-R/usr/lib/nspr -L/usr/lib/xulrunner-1.9/lib -L/usr/lib/nspr -lxpcomglue_s -lxul -lxpcom -lplds4 -lplc4 -lnspr4 -lpthread -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0   
libtool: link: only absolute run-paths are allowed
make[2]: *** [gtkmozembed.la] Error 1
make[2]: Leaving directory `/var/tmp/portage/dev-python/gnome-python-extras-2.19.1-r2/work/gnome-python-extras-2.19.1/gtkmozembed'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/dev-python/gnome-python-extras-2.19.1-r2/work/gnome-python-extras-2.19.1'
make: *** [all] Error 2


Reproducible: Always
Comment 1 Jeff Kowalczyk 2008-07-19 16:25:19 UTC
Created attachment 160859 [details]
build log
Comment 2 Jeff Kowalczyk 2008-07-19 16:26:10 UTC
Created attachment 160861 [details]
build environment
Comment 3 Jeff Kowalczyk 2008-07-19 16:30:53 UTC
To follow up on the comment that this version of gnome-python-extras has
conflicts when firefox-3.0 is installed:

# USE="firefox xulrunner" emerge =dev-python/gnome-python-extras-2.19.1-r2
--oneshot -pv
[ebuild  NS   ] net-libs/xulrunner-1.8.1.16 [1.9.0.1] USE="gnome ipv6 -debug
-java -xinerama -xprint" 37,269 kB 
[ebuild  N    ] dev-python/gnome-python-extras-2.19.1-r2  USE="X firefox
xulrunner -debug -doc -seamonkey" 0 kB 

Total: 2 packages (1 new, 1 in new slot), Size of downloads: 37,269 kB


# USE="firefox" emerge =dev-python/gnome-python-extras-2.19.1-r2 --oneshot -pv

[ebuild     UD] www-client/mozilla-firefox-2.0.0.16 [3.0.1] USE="gnome ipv6
mozdevelop xforms%* -bindist -debug% -filepicker% -iceweasel -java -moznopango%
-restrict-javascript -xinerama% -xprint% (-custom-optimization%) (-dbus%*)
(-startup-notification%) (-xulrunner%*)" LINGUAS="en en_US -af -ar -be -bg% -ca
-cs -da -de -el -en_GB -es -es_AR -es_ES -eu -fi -fr -fy -fy_NL -ga -ga_IE -gu
-gu_IN -he -hu -it -ja -ka -ko -ku -lt -mk -mn -nb -nb_NO -nl -nn -nn_NO -pa
-pa_IN -pl -pt -pt_BR -pt_PT -ro -ru -sk -sl -sv -sv_SE -tr -uk -zh -zh_CN
-zh_TW (-id%) (-si%) (-sq%) (-sr%)" 0 kB 
[ebuild  N    ] dev-python/gnome-python-extras-2.19.1-r2  USE="X firefox -debug
-doc -seamonkey -xulrunner" 0 kB 
Comment 4 Rafał Mużyło 2008-07-19 18:34:08 UTC
That "conflict" is not a bug,
all packages are to migrate to xulrunner,
as that's the way preffered by upstream.
As for the error, I think I've seen it somewhere,
have to check it though.
Comment 5 Rafał Mużyło 2008-07-19 19:03:06 UTC
Well, a surprise here.
It's an upstream bug that's fixed in gnome svn.
Relevant revisions are 433 and 434.
But the real question is:
is 434 the correct way or does xulrunner need a fix ?
Once again the problem is that some of xulrunner libs are in $sdkdir
and some are in $sdkdir/lib, some are even duplicated (libxpcom.so,
libmozjs.so, libxul.so.).
Comment 6 Ryan Hendrickson 2008-09-01 16:52:58 UTC
Not sure if this is a resolution of this bug, but using the ebuild and patches at bug 223265 made this problem go away for me.
Comment 7 Tristan Heaven (RETIRED) gentoo-dev 2008-10-13 21:51:04 UTC
*** Bug 241680 has been marked as a duplicate of this bug. ***
Comment 8 Gilles Dartiguelongue gentoo-dev 2008-11-29 23:53:37 UTC
indeed, your problem is that gnome-python-extras doesn't support firefox 3. this should be fixed now with gtkmozembed-python.

*** This bug has been marked as a duplicate of bug 223265 ***